

DROP PROCEDURE Copiar_OP_CCSALESPERSONDET_AlTemporalProc
GO
CREATE PROCEDURE Copiar_OP_CCSALESPERSONDET_AlTemporalProc
(
	@SITEID		UD_IDSITE,
	@DATEPROCE	UD_FECHA,
	@CORRNBR	INT
)
AS
BEGIN
	BEGIN TRAN

	INSERT INTO TMP_OP_CCSALESPERSONDET(CORRNBR,SITEID,DATEPROCE,SALESPERID,CCSALESPERSONTYPEID,TOTALPEN,TOTALUSD,OBS)
	SELECT @CORRNBR,SITEID,DATEPROCE,SALESPERID,CCSALESPERSONTYPEID,TOTALPEN,TOTALUSD,OBS 
	FROM OP_CCSALESPERSONDET 
	WHERE SITEID=@SITEID AND DATEPROCE=@DATEPROCE

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK
		RAISERROR 20000 'Error Insertando en TMP_OP_CCSALESPERSONDET'
		RETURN(1)
	END

	COMMIT TRAN 
	RETURN(0)
END 

